Package org.apache.solr.client.solrj.request

## Class CoreStatus

- java.lang.Object
- - org.apache.solr.client.solrj.request.CoreStatus

    public class CoreStatus
    extends Object

### Constructor Summary

Constructors
`CoreStatus​(NamedList<Object> response)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Date` `getCoreStartTime()`
`String` `getDataDirectory()`
`String` `getInstanceDirectory()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CoreStatus

    public CoreStatus​(NamedList<Object> response)

### Method Detail

#### getDataDirectory

    public String getDataDirectory()

#### getInstanceDirectory

    public String getInstanceDirectory()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getCoreStartTime

    public Date getCoreStartTime()